com.jscape.inet.ssh.protocol.v2.marshaling.algorithms

## Class JceMacs

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.marshaling.algorithms.JceMacs

-     public class JceMacs
      extends java.lang.Object

  JCE-based MAC algorithms.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JceMacs.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JceMacs.Entry[]` | `ALL`
    `static JceMacs.Entry[]` | `FIPS`
    `static JceMacs.Entry` | `HMAC_MD5`
    `static JceMacs.Entry` | `HMAC_MD5_96`
    `static JceMacs.Entry` | `HMAC_SHA1`
    `static JceMacs.Entry` | `HMAC_SHA1_96`
    `static JceMacs.Entry` | `HMAC_SHA2_256`
    `static JceMacs.Entry` | `HMAC_SHA2_256_96`
    `static JceMacs.Entry` | `HMAC_SHA2_512`
    `static JceMacs.Entry` | `HMAC_SHA2_512_96`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JceMacFactory` | `init(JceMacFactory factory, JceMacs.Entry... entries)`
    `static JceMacFactory` | `init(JceMacFactory factory, java.security.Provider provider, JceMacs.Entry... entries)`
    `static JceMacFactory` | `init(JceMacFactory factory, java.lang.String provider, JceMacs.Entry... entries)`
    `static JceMacFactory` | `initAll(JceMacFactory factory)` Setups all implemented MAC algorithms.
    `static JceMacFactory` | `initAllClient(JceMacFactory factory)`
    `static JceMacFactory` | `initAllClient(JceMacFactory factory, java.security.Provider provider)`
    `static JceMacFactory` | `initAllClient(JceMacFactory factory, java.lang.String provider)`
    `static JceMacFactory` | `initFipsClient(JceMacFactory factory)`
    `static JceMacFactory` | `initOptional(JceMacFactory factory)` Setups optional MAC algorithms.
    `static JceMacFactory` | `initOptional(JceMacFactory factory, java.security.Provider provider)`
    `static JceMacFactory` | `initOptional(JceMacFactory factory, java.lang.String provider)`
    `static JceMacFactory` | `initRecommended(JceMacFactory factory)` Setups recommended MAC algorithms.
    `static JceMacFactory` | `initRecommended(JceMacFactory factory, java.security.Provider provider)`
    `static JceMacFactory` | `initRecommended(JceMacFactory factory, java.lang.String provider)`
    `static JceMacFactory` | `initRequired(JceMacFactory factory)` Setups required MAC algorithms.
    `static JceMacFactory` | `initRequired(JceMacFactory factory, java.security.Provider provider)`
    `static JceMacFactory` | `initRequired(JceMacFactory factory, java.lang.String provider)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HMAC_SHA1

          public static final JceMacs.Entry HMAC_SHA1

    - #### HMAC_SHA1_96

          public static final JceMacs.Entry HMAC_SHA1_96

    - #### HMAC_MD5

          public static final JceMacs.Entry HMAC_MD5

    - #### HMAC_MD5_96

          public static final JceMacs.Entry HMAC_MD5_96

    - #### HMAC_SHA2_256

          public static final JceMacs.Entry HMAC_SHA2_256

    - #### HMAC_SHA2_256_96

          public static final JceMacs.Entry HMAC_SHA2_256_96

    - #### HMAC_SHA2_512

          public static final JceMacs.Entry HMAC_SHA2_512

    - #### HMAC_SHA2_512_96

          public static final JceMacs.Entry HMAC_SHA2_512_96

    - #### ALL

          public static final JceMacs.Entry[] ALL

    - #### FIPS

          public static final JceMacs.Entry[] FIPS

  - ### Method Detail

    - #### init

          public static JceMacFactory init(JceMacFactory factory,
                                           JceMacs.Entry... entries)

    - #### init

          public static JceMacFactory init(JceMacFactory factory,
                                           java.lang.String provider,
                                           JceMacs.Entry... entries)

    - #### init

          public static JceMacFactory init(JceMacFactory factory,
                                           java.security.Provider provider,
                                           JceMacs.Entry... entries)

    - #### initRequired

          public static JceMacFactory initRequired(JceMacFactory factory)

      Setups required MAC algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initRequired

          public static JceMacFactory initRequired(JceMacFactory factory,
                                                   java.lang.String provider)

    - #### initRequired

          public static JceMacFactory initRequired(JceMacFactory factory,
                                                   java.security.Provider provider)

    - #### initRecommended

          public static JceMacFactory initRecommended(JceMacFactory factory)

      Setups recommended MAC algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initRecommended

          public static JceMacFactory initRecommended(JceMacFactory factory,
                                                      java.lang.String provider)

    - #### initRecommended

          public static JceMacFactory initRecommended(JceMacFactory factory,
                                                      java.security.Provider provider)

    - #### initOptional

          public static JceMacFactory initOptional(JceMacFactory factory)

      Setups optional MAC algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initOptional

          public static JceMacFactory initOptional(JceMacFactory factory,
                                                   java.lang.String provider)

    - #### initOptional

          public static JceMacFactory initOptional(JceMacFactory factory,
                                                   java.security.Provider provider)

    - #### initAll

          public static JceMacFactory initAll(JceMacFactory factory)

      Setups all implemented MAC algorithms.
      Parameters:
        `factory` - a factory
      Returns:
        a factory

    - #### initAllClient

          public static JceMacFactory initAllClient(JceMacFactory factory)

    - #### initAllClient

          public static JceMacFactory initAllClient(JceMacFactory factory,
                                                    java.lang.String provider)

    - #### initAllClient

          public static JceMacFactory initAllClient(JceMacFactory factory,
                                                    java.security.Provider provider)

    - #### initFipsClient

          public static JceMacFactory initFipsClient(JceMacFactory factory)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved